org.apache.http.impl.conn

## Class LoggingSessionInputBuffer

- java.lang.Object
- - org.apache.http.impl.conn.LoggingSessionInputBuffer

All Implemented Interfaces:
  org.apache.http.io.EofSensor, org.apache.http.io.SessionInputBuffer

Deprecated.
(4.3) no longer used.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class LoggingSessionInputBuffer
    extends Object
    implements org.apache.http.io.SessionInputBuffer, org.apache.http.io.EofSensor

Logs all data read to the wire LOG.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`LoggingSessionInputBuffer(org.apache.http.io.SessionInputBuffer in, Wire wire)` Deprecated.
`LoggingSessionInputBuffer(org.apache.http.io.SessionInputBuffer in, Wire wire, String charset)` Deprecated. Create an instance that wraps the specified session input buffer.

### Method Summary

Methods
`org.apache.http.io.HttpTransportMetrics` `getMetrics()` Deprecated.
`boolean` `isDataAvailable(int timeout)` Deprecated.
`boolean` `isEof()` Deprecated.
`int` `read()` Deprecated.
`int` `read(byte[] b)` Deprecated.
`int` `read(byte[] b, int off, int len)` Deprecated.
`String` `readLine()` Deprecated.
`int` `readLine(org.apache.http.util.CharArrayBuffer buffer)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggingSessionInputBuffer

    public LoggingSessionInputBuffer(org.apache.http.io.SessionInputBuffer in,
                             Wire wire,
                             String charset)

Deprecated.
Create an instance that wraps the specified session input buffer.

Parameters:
  `in` - The session input buffer.
  `wire` - The wire log to use.
  `charset` - protocol charset, `ASCII` if `null`

#### LoggingSessionInputBuffer

    public LoggingSessionInputBuffer(org.apache.http.io.SessionInputBuffer in,
                             Wire wire)

Deprecated.

### Method Detail

#### isDataAvailable

    public boolean isDataAvailable(int timeout)
                            throws IOException

Deprecated.

Specified by:
  `isDataAvailable` in interface `org.apache.http.io.SessionInputBuffer`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws IOException

Deprecated.

Specified by:
  `read` in interface `org.apache.http.io.SessionInputBuffer`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Deprecated.

Specified by:
  `read` in interface `org.apache.http.io.SessionInputBuffer`
Throws:
  `IOException`

#### read

    public int read(byte[] b)
             throws IOException

Deprecated.

Specified by:
  `read` in interface `org.apache.http.io.SessionInputBuffer`
Throws:
  `IOException`

#### readLine

    public String readLine()
                    throws IOException

Deprecated.

Specified by:
  `readLine` in interface `org.apache.http.io.SessionInputBuffer`
Throws:
  `IOException`

#### readLine

    public int readLine(org.apache.http.util.CharArrayBuffer buffer)
                 throws IOException

Deprecated.

Specified by:
  `readLine` in interface `org.apache.http.io.SessionInputBuffer`
Throws:
  `IOException`

#### getMetrics

    public org.apache.http.io.HttpTransportMetrics getMetrics()

Deprecated.

Specified by:
  `getMetrics` in interface `org.apache.http.io.SessionInputBuffer`

#### isEof

    public boolean isEof()

Deprecated.

Specified by:
  `isEof` in interface `org.apache.http.io.EofSensor`